#include "stringfun.hh"

string argsplit(vector<string> &dest, string &src)
{
	const char *s = src.c_str();
	const char *p = strchr(s, ' ');
	if(!p)p = strchr(s, 0);

	string tmp = src.substr(0, p-s);
	while(*p == ' ')++p;
	src.erase(0, p-s);

	dest.push_back(tmp);
	return tmp;
}

string strtolower(const string &s)
{
	string t = s;
	unsigned a, b=s.size();
	for(a=0; a<b; ++a)t[a] = tolower(t[a]);
	return t;
}

string strtoupper(const string &s)
{
	string t = s;
	unsigned a, b=s.size();
	for(a=0; a<b; ++a)t[a] = toupper(t[a]);
	return t;
}
